Messages
List your unread threads
Your unread thread replies, per thread you follow in a conversation you are still in, newest reply first, and the total, for a Threads view and unread indicator. Requires the messaging view permission.
GET
/
api
/
v1
/
messaging
/
thread_unreads
List your unread threads
curl --request GET \
--url https://api.fluid.app/api/v1/messaging/thread_unreads \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/v1/messaging/thread_unreads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/v1/messaging/thread_unreads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/v1/messaging/thread_unreads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/v1/messaging/thread_unreads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/v1/messaging/thread_unreads")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/v1/messaging/thread_unreads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"threads": [
{
"message_id": 91204,
"message_uuid_v7": "01a163c4-bc00-7978-8606-813749a8781a",
"conversation_id": 7731,
"conversation_uuid_v7": "01a05d0e-1880-7690-b7ce-ba131b25a0bf",
"conversation_name": "sales-team",
"last_reply_at": "2026-10-22T13:41:00Z",
"unread_count": 1,
"parent": {
"body": "Who can cover the Stamford client call on Friday at 10?",
"sent_at": "2026-10-22T13:20:00Z",
"sender_recipient": {
"avatar_background": "4F46E5",
"blocked": false,
"blocker": false,
"discarded_at": null,
"first_name": "Dwight",
"id": 48217,
"image_url": "https://cdn.fluid.app/avatars/dunder-mifflin/dwight-schrute.jpg",
"last_name": "Schrute",
"pro_user": false
}
}
},
{
"message_id": 90877,
"message_uuid_v7": "01a15de9-19c0-7d87-9d70-8986be8e018a",
"conversation_id": 7745,
"conversation_uuid_v7": "01a08b30-6600-702a-9b62-afe068bb97cd",
"conversation_name": "Jim Halpert",
"last_reply_at": "2026-10-21T17:15:00Z",
"unread_count": 3,
"parent": {
"body": "@Pam Beesly can you send me the updated price sheet before the call?",
"sent_at": "2026-10-21T10:02:00Z",
"sender_recipient": {
"avatar_background": "0EA5E9",
"blocked": false,
"blocker": false,
"discarded_at": null,
"first_name": "Jim",
"id": 48218,
"image_url": "https://cdn.fluid.app/avatars/dunder-mifflin/jim-halpert.jpg",
"last_name": "Halpert",
"pro_user": false
}
}
}
],
"total_unread": 4
}{
"message": "<string>"
}⌘I
List your unread threads
curl --request GET \
--url https://api.fluid.app/api/v1/messaging/thread_unreads \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/v1/messaging/thread_unreads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/v1/messaging/thread_unreads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/v1/messaging/thread_unreads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/v1/messaging/thread_unreads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/v1/messaging/thread_unreads")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/v1/messaging/thread_unreads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"threads": [
{
"message_id": 91204,
"message_uuid_v7": "01a163c4-bc00-7978-8606-813749a8781a",
"conversation_id": 7731,
"conversation_uuid_v7": "01a05d0e-1880-7690-b7ce-ba131b25a0bf",
"conversation_name": "sales-team",
"last_reply_at": "2026-10-22T13:41:00Z",
"unread_count": 1,
"parent": {
"body": "Who can cover the Stamford client call on Friday at 10?",
"sent_at": "2026-10-22T13:20:00Z",
"sender_recipient": {
"avatar_background": "4F46E5",
"blocked": false,
"blocker": false,
"discarded_at": null,
"first_name": "Dwight",
"id": 48217,
"image_url": "https://cdn.fluid.app/avatars/dunder-mifflin/dwight-schrute.jpg",
"last_name": "Schrute",
"pro_user": false
}
}
},
{
"message_id": 90877,
"message_uuid_v7": "01a15de9-19c0-7d87-9d70-8986be8e018a",
"conversation_id": 7745,
"conversation_uuid_v7": "01a08b30-6600-702a-9b62-afe068bb97cd",
"conversation_name": "Jim Halpert",
"last_reply_at": "2026-10-21T17:15:00Z",
"unread_count": 3,
"parent": {
"body": "@Pam Beesly can you send me the updated price sheet before the call?",
"sent_at": "2026-10-21T10:02:00Z",
"sender_recipient": {
"avatar_background": "0EA5E9",
"blocked": false,
"blocker": false,
"discarded_at": null,
"first_name": "Jim",
"id": 48218,
"image_url": "https://cdn.fluid.app/avatars/dunder-mifflin/jim-halpert.jpg",
"last_name": "Halpert",
"pro_user": false
}
}
}
],
"total_unread": 4
}{
"message": "<string>"
}